package com.inkasso.factoring.invoicemanage.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @Description : 发票管理-供应商信息表
 * @Author : liutao
 * @Date: 2022-3-22
 */
@TableName("c_invoice_supplier_info")
public class InvoiceSupplierInfo extends BaseEntity {

    /**
     * 发票基础信息表ID
     **/
    @TableField(value = "c_invoice_basic_info_id")
    private Long invoiceBasicInfoId;
    /**
     * 供应商Id
     */
    @TableField(value = "c_supplier_id")
    private Long supplierId;
    /**
     * 供应商名称
     */
    @TableField(value = "c_supplier_name")
    private String supplierName;
    /**
     * 开票金额
     */
    @TableField(value = "open_amount")
    private BigDecimal openAmount;

    public InvoiceSupplierInfo() {
    }

    public Long getInvoiceBasicInfoId() {
        return invoiceBasicInfoId;
    }

    public void setInvoiceBasicInfoId(Long invoiceBasicInfoId) {
        this.invoiceBasicInfoId = invoiceBasicInfoId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public BigDecimal getOpenAmount() {
        return openAmount;
    }

    public void setOpenAmount(BigDecimal openAmount) {
        this.openAmount = openAmount;
    }
}
